| xmonad-contrib-0.8.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Actions.DwmPromote

Portability | unportable
Stability | unstable
Maintainer | arcatan@kapsi.fi

Contents

Usage

Description
Dwm-like swap function for xmonad. Swaps focused window with the master window. If focus is in the master, swap it with the next window in the stack. Focus stays in the master.
Synopsis

dwmpromote :: X ()

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

        import XMonad.Actions.DwmPromote

then add a keybinding or substitute `dwmpromote` in place of promote:

       , ((modMask x,               xK_Return), dwmpromote)

For detailed instructions on editing your key bindings, see XMonad.Doc.Extending.

dwmpromote :: X () | Source

Swap the focused window with the master window. If focus is in the master, swap it with the next window in the stack. Focus stays in the master.
Produced by Haddock version 2.4.2